import { BookstoreDataModel, ServerConfig } from "@nteract/types";
import { Observable } from "rxjs";
import { AjaxResponse } from "rxjs/ajax";
/**
 * Creates an AjaxObservable for publishing content to `Bookstore`
 * https://github.com/nteract/bookstore
 *
 * @param serverConfig The server configuration
 * @param path The path to the content
 * @param model The data to send in the server request
 *
 * @returns An Observable with the request response
 */
export declare function publish(serverConfig: ServerConfig, path: string, model: BookstoreDataModel): Observable<AjaxResponse>;
