"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ajax_1 = require("rxjs/ajax");
const url_join_1 = __importDefault(require("url-join"));
// Local modules
const base_1 = require("./base");
const formURI = (path) => url_join_1.default("/api/bookstore/publish", path);
/**
 * Creates an AjaxObservable for publishing content to `Bookstore`
 * https://github.com/nteract/bookstore
 *
 * @param serverConfig The server configuration
 * @param path The path to the content
 * @param model The data to send in the server request
 *
 * @returns An Observable with the request response
 */
function publish(serverConfig, path, model) {
    return ajax_1.ajax(base_1.createAJAXSettings(serverConfig, formURI(path), {
        body: model,
        headers: {
            "Content-Type": "application/json"
        },
        method: "PUT"
    }));
}
exports.publish = publish;
