"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const ajax_1 = require("rxjs/ajax");
const base_1 = require("./base");
const bookstore = __importStar(require("./bookstore"));
exports.bookstore = bookstore;
const contents = __importStar(require("./contents"));
exports.contents = contents;
const kernels = __importStar(require("./kernels"));
exports.kernels = kernels;
const kernelspecs = __importStar(require("./kernelspecs"));
exports.kernelspecs = kernelspecs;
const sessions = __importStar(require("./sessions"));
exports.sessions = sessions;
const terminals = __importStar(require("./terminals"));
exports.terminals = terminals;
/**
 * Get the version of the API for a given server.
 *
 * @param serverConfig The server configuration
 *
 * @returns An Observable containing the API version information
 */
exports.apiVersion = (serverConfig) => ajax_1.ajax(base_1.createAJAXSettings(serverConfig, "/api"));
/**
 * Creates an AjaxObservable for shutting down a notebook server.
 *
 * @param serverConfig The server configuration
 *
 * @returns An Observable with the request/response
 */
exports.shutdown = (serverConfig) => ajax_1.ajax(base_1.createAJAXSettings(serverConfig, "/api/shutdown", { method: "POST" }));
