import { Observable } from "rxjs";
import { AjaxResponse } from "rxjs/ajax";
import { ServerConfig } from "@nteract/types";
/**
 * Creates an AjaxObservable for listing available kernelspecs.
 *
 * @param serverConfig The server configuration
 *
 * @return An Observable with the request response
 */
export declare const list: (serverConfig: ServerConfig) => Observable<AjaxResponse>;
/**
 * Returns the specification of available kernels with the given
 * kernel name.
 *
 * @param serverConfig The server configuration
 * @param name The name of the kernel
 *
 * @returns An Observable with the request response
 */
export declare const get: (serverConfig: ServerConfig, name: string) => Observable<AjaxResponse>;
