"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ajax_1 = require("rxjs/ajax");
const base_1 = require("./base");
/**
 * Creates an AjaxObservable for listing available kernelspecs.
 *
 * @param serverConfig The server configuration
 *
 * @return An Observable with the request response
 */
exports.list = (serverConfig) => ajax_1.ajax(base_1.createAJAXSettings(serverConfig, "/api/kernelspecs", { cache: false }));
/**
 * Returns the specification of available kernels with the given
 * kernel name.
 *
 * @param serverConfig The server configuration
 * @param name The name of the kernel
 *
 * @returns An Observable with the request response
 */
exports.get = (serverConfig, name) => ajax_1.ajax(base_1.createAJAXSettings(serverConfig, `/api/kernelspecs/${name}`, {
    cache: false
}));
